<template>
    <base-page-vuetify>
        <div slot="main">
            <error-boundary>
                <failing-component></failing-component>
            </error-boundary>
        </div>
    </base-page-vuetify>
</template>

<script>

    import ErrorBoundary from "../components/ErrorBoundary";
    import FailingComponent from "../components/FailingComponent";
    import Card from "../components/Card";
    import BasePageVuetify from "./BasePageVuetify";

    export default {
        extends: BasePageVuetify,
        components: {
            Card,
            'base-page-vuetify': BasePageVuetify,
            'failing-component': FailingComponent,
            'error-boundary': ErrorBoundary
        },
        data(){
            return{
                type:'primary',
                items:{
                    navItems: [
                        {
                            "title": "test",
                            "icon":"dashboard",
                            "link":"#link110",
                        },
                        {
                            "title": "test2",
                            "icon":"settings",
                            "link":"#link111",
                        }
                    ],
                    tabContents:[
                        {
                            "linkId": "link110",
                            "content":"tootototo"
                        },
                        {
                            "linkId": "link111",
                            "content":"fgviekgbne"
                        }
                    ]
                }
            }
        }
    }
</script>
